# LastMoveDoublePowerAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class LastMoveDoublePowerAttr

Attribute used for moves that double in power if the given move immediately preceded the move applying the attribute, namely Fusion Flare and Fusion Bolt.

#### See

`apply`

#### Hierarchy (View Summary)

- VariablePowerAttr
  - LastMoveDoublePowerAttr

- Defined in src/data/moves/move.ts:4328

##### Index

### Constructors

constructor

### Properties

selfTarget

### Methods

apply
getCondition
getFailedText
getTargetBenefitScore
getUserBenefitScore

## Constructors

### constructor

- new LastMoveDoublePowerAttr(move: Moves ): LastMoveDoublePowerAttr

  #### Parameters

  - move: Moves

  #### Returns LastMoveDoublePowerAttr

  Overrides VariablePowerAttr.constructor

  - Defined in src/data/moves/move.ts:4332

## Properties

### selfTarget

selfTarget: boolean

Should this `Move` target the user?

Inherited from VariablePowerAttr.selfTarget

- Defined in src/data/moves/move.ts:1071

## Methods

### apply

- apply(user: default , _target: default , _move: default , args: any[]): boolean

  Doubles power of move if the given move is found to precede the current move with no other moves being executed in between, only ignoring failed moves if any.

  #### Parameters

  - user: default

    `Pokemon` that used the move

  - _target: default
  - _move: default
  - args: any[]

    [0] `Utils.NumberHolder` that holds the resulting power of the move

  #### Returns boolean

  true if attribute application succeeds, false otherwise

  Overrides VariablePowerAttr.apply

  - Defined in src/data/moves/move.ts:4348

### getCondition

- getCondition(): null | MoveCondition | MoveConditionFunc

  #### Returns null | MoveCondition | MoveConditionFunc

  the `MoveCondition` or MoveConditionFunc for this `Move`

  Inherited from VariablePowerAttr.getCondition

  - Defined in src/data/moves/move.ts:1095

### getFailedText

- getFailedText(user: default , target: default , move: default ): undefined | string

  #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  #### Returns undefined | string

  the string representing failure of this `Move`

  Inherited from VariablePowerAttr.getFailedText

  - Defined in src/data/moves/move.ts:1106

### getTargetBenefitScore

- getTargetBenefitScore(user: default , target: default , move: default ): number

  Used by the Enemy AI to rank an attack based on a given target

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from VariablePowerAttr.getTargetBenefitScore

  - Defined in src/data/moves/move.ts:1124

### getUserBenefitScore

- getUserBenefitScore(user: default , target: default , move: default ): number

  Used by the Enemy AI to rank an attack based on a given user

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from VariablePowerAttr.getUserBenefitScore

  - Defined in src/data/moves/move.ts:1115